<template>
  <div class="accordion">
    <div
      class="accordion-heading"
      :aria-expanded="isOpen"
      :class="classes.header"
    >
      <slot name="before-placeholder"></slot>
      <div
        class="accordion-button"
        :class="classes.placeholder"
        @click="isOpen = !isOpen"
      >
        <slot name="placeholder">
          <span>{{ placeholder }}</span>
          <i class="icon-arrow-accordion"></i>
        </slot>
      </div>
      <slot name="after-placeholder"></slot>
    </div>
    <transition-collapse easing="ease">
      <div v-show="isOpen" class="accordion-body" :class="classes.body">
        <slot name="before-body"></slot>
        <slot name="body"> </slot>
        <slot name="after-body"></slot>
      </div>
    </transition-collapse>
  </div>
</template>

<script>
const TransitionCollapse = () =>
  import('@/components/transitions/TransitionCollapse.vue')
export default {
  name: 'AccordionControl',
  components: {
    TransitionCollapse,
  },
  props: {
    placeholder: {
      type: String,
      required: false,
      default: 'Placeholder',
    },
    classes: {
      type: Object,
      required: false,
      default: () => {
        return {
          header: '',
          placeholder: '',
          body: '',
        }
      },
    },
    open: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  data() {
    return {
      isOpen: this.open,
    }
  },
}
</script>
